Contact Us
  • Home
  • Documentation
  • Core Weather API
  • MinuteCast™ API
  • Lightning API
  • Enterprise APIs
  • Pricing
  • FAQ
Company
  • Proven Superior Accuracy
  • About AccuWeather
  • Digital Advertising
  • Careers
  • Press
  • Privacy
  • Terms of Use
  • Brand Guidelines
  • Privacy Settings
Products & Services
  • For Business
  • For Partners
  • For Advertising
  • AccuWeather Enterprise APIs
  • AccuWeather Connect
  • Personal Weather Stations
Subscription Services
  • AccuWeather Premium
  • AccuWeather Professional
Apps & Downloads
  • iPhone App
  • Android App
  • See all Apps & Downloads

© 2026 AccuWeather, Inc.

xXfacebookFacebookinstagramInstagram
Information
Current Conditions
    Location Key
    Top Cities
      Current conditions for top citiesget
    Historical
Daily Forecasts
Hourly Forecasts
Alerts
Locations
Indices
Tropical
Alarms
Imagery Maps
Translations
Schemas
Core Weather
Core Weather

Top Cities


Current conditions for top cities

GET
https://dataservice.accuweather.com
/currentconditions/v1/topcities/{listLength}

Returns current weather conditions for the top 50, 100, or 150 largest cities around the world.

Current conditions for top cities › path Parameters

listLength
​integer · int32 · pattern: 50|100|150 · required

A numerical value representing the amount of results to be returned.

Example: 50

Current conditions for top cities › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json

Current conditions for top cities › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Current conditions for top cities › Responses

OK

​API.CurrentConditions.Entities.OpenAPI.TopCityCurrentConditions[]
API.CurrentConditions.Entities.OpenAPI.TopCityCurrentConditions
Key
​string · minLength: 1 · required

Unique ID to search a location.

LocalizedName
​string · minLength: 1 · required

Display name in local dialect set with language code in URL. Default is US English (us-en).

EnglishName
​string · minLength: 1 · required

Location name as displayed in English.

​required

An object containing country information.

​required

An object containing timezone information.

​required

An object containing geoposition information.

LocalObservationDateTime
​string · date-time · required

Datetime of the current observation displayed in ISO8601 format: yyyy-mm-ddThh:mm:ss±hh:mm.

EpochTime
​integer · int64 · required

Datetime of the current observation displayed as the number of seconds that have elapsed since January 1, 1970 (midnight UTC/GMT).

WeatherText
​string · minLength: 1 · required

Phrase description of the current weather condition. Displayed in specified language.

WeatherIcon
​integer · int64 · required

Numeric value representing an image that displays the WeatherText.

HasPrecipitation
​boolean · required

Flag indicating the presence or absence of precipitation. True indicates the presence of precipitation, false indicates the absence of precipitation.

PrecipitationType
​string · minLength: 1 · required

If precipitation is present, the type of precipitation will be returned. Possible values are Rain, Snow, Ice, or Mixed. Null in the absence of precipitation.

IsDayTime
​boolean · required

Flag indicating the time of day (true=>day, false=>night).

​required

An object containing temperature information with a rounded value for Fahrenheit and Celsius. The object may be NULL.

MobileLink
​string · minLength: 1 · required

Link to current conditions on AccuWeather's mobile site for the requested location.

Link
​string · minLength: 1 · required

Link to current conditions on AccuWeather's free site for the requested location.

​

Information specific to the local data source. This parameter is not returned if there is no local source information.

GET/currentconditions/v1/topcities/{listLength}
curl https://dataservice.accuweather.com/currentconditions/v1/topcities/:listLength \ --header 'Authorization: <api-key>'
Example Responses
[ { "Key": "Key", "LocalizedName": "LocalizedName", "EnglishName": "EnglishName", "Country": {}, "TimeZone": {}, "GeoPosition": {}, "LocalObservationDateTime": "2024-08-25T15:00:00Z", "EpochTime": 0, "WeatherText": "WeatherText", "WeatherIcon": 0, "HasPrecipitation": true, "PrecipitationType": "PrecipitationType", "IsDayTime": true, "Temperature": {}, "MobileLink": "MobileLink", "Link": "Link", "LocalSource": {} } ]
json
application/json

Location KeyHistorical